ACTIVITY_REQUIRED (Java SE 10 & JDK 10 )
Keywords: org.omg.CORBA.ACTIVITY_REQUIRED class

Module java.corba
Package org.omg.CORBA

## Class ACTIVITY_REQUIRED

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.ACTIVITY_REQUIRED

- All Implemented Interfaces:
    `Serializable`

      public final class ACTIVITY_REQUIRED
      extends SystemException

  The `ACTIVITY_REQUIRED` system exception may be raised on any method for which an Activity context is required. It indicates that an Activity context was necessary to perform the invoked operation, but one was not found associated with the calling thread.

  See also documentation on Java IDL exceptions.

  Since:
    J2SE 1.5

- - ### Field Summary

    - ### Fields declared in class org.omg.CORBA.SystemException

      `completed, minor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ACTIVITY_REQUIRED()` | Constructs an `ACTIVITY_REQUIRED` exception with minor code set to 0 and CompletionStatus set to COMPLETED_NO.
    `ACTIVITY_REQUIRED​(int minorCode, CompletionStatus completionStatus)` | Constructs an `ACTIVITY_REQUIRED` exception with the specified minor code and completion status.
    `ACTIVITY_REQUIRED​(String detailMessage)` | Constructs an `ACTIVITY_REQUIRED` exception with the specified message.
    `ACTIVITY_REQUIRED​(String detailMessage, int minorCode, CompletionStatus completionStatus)` | Constructs an `ACTIVITY_REQUIRED` exception with the specified message, minor code, and completion status.

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in class org.omg.CORBA.SystemException

      `toString`

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

- - ### Constructor Detail

    - #### ACTIVITY_REQUIRED

          public ACTIVITY_REQUIRED()

      Constructs an `ACTIVITY_REQUIRED` exception with minor code set to 0 and CompletionStatus set to COMPLETED_NO.

    - #### ACTIVITY_REQUIRED

          public ACTIVITY_REQUIRED​(String detailMessage)

      Constructs an `ACTIVITY_REQUIRED` exception with the specified message.
      Parameters:
        `detailMessage` - string containing a detailed message.

    - #### ACTIVITY_REQUIRED

          public ACTIVITY_REQUIRED​(int minorCode,
                                   CompletionStatus completionStatus)

      Constructs an `ACTIVITY_REQUIRED` exception with the specified minor code and completion status.
      Parameters:
        `minorCode` - minor code.
        `completionStatus` - completion status.

    - #### ACTIVITY_REQUIRED

          public ACTIVITY_REQUIRED​(String detailMessage,
                                   int minorCode,
                                   CompletionStatus completionStatus)

      Constructs an `ACTIVITY_REQUIRED` exception with the specified message, minor code, and completion status.
      Parameters:
        `detailMessage` - string containing a detailed message.
        `minorCode` - minor code.
        `completionStatus` - completion status.